{
  # found by running `nix run nixpkgs#xdg-ninja`

  # TODO:
  /** /

  export ANDROID_HOME="$XDG_DATA_HOME"/android
  export HISTFILE="${XDG_STATE_HOME}"/bash/history
  export CARGO_HOME="$XDG_DATA_HOME"/cargo
  export CUDA_CACHE_PATH="$XDG_CACHE_HOME"/nv
  export GNUPGHOME="$XDG_DATA_HOME"/gnupg
  export GTK2_RC_FILES="$XDG_CONFIG_HOME"/gtk-2.0/gtkrc
  export XCOMPOSECACHE="$XDG_CACHE_HOME"/X11/xcompose
  export KERAS_HOME="${XDG_STATE_HOME}/keras"
  export WINEPREFIX="$XDG_DATA_HOME"/wine
  export XCOMPOSECACHE="${XDG_CACHE_HOME}"/X11/xcompose
  export XAUTHORITY="$XDG_RUNTIME_DIR"/Xauthority
  export SSB_HOME="$XDG_DATA_HOME"/zoom

  export LESSHISTFILE="$XDG_CACHE_HOME"/less/history
  export _JAVA_OPTIONS=-Djava.util.prefs.userRoot="$XDG_CONFIG_HOME"/java
  export VAGRANT_HOME="$XDG_DATA_HOME"/vagrant
  /**/

}
